﻿using C1.WPF.Grid;
using Microsoft.VisualBasic;
using System.Windows.Controls;
using System.Windows;

namespace MultiselectDemo
{
    // Custom CellFactory for CheckBox Column
    public class CheckBoxCellFactory : GridCellFactory
    {
        FlexGrid grid;
        public CheckBoxCellFactory(FlexGrid fg)
        {
            grid = fg;
        }

        public override FrameworkElement CreateCellContent(GridCellType cellType, GridCellRange range, object cellContentType)
        {
            if (cellType == GridCellType.Cell && grid.Columns[range.Column].ColumnName == "Select")
            {
                CheckBox checkBox = new CheckBox
                {
                    Margin = new Thickness(5),
                    HorizontalAlignment = HorizontalAlignment.Center
                };

                // Set the checkbox state based on the grid's cell value
                object cellValue = grid[range.Row, range.Column];
                if (cellValue is bool isChecked)
                {
                    checkBox.IsChecked = isChecked;
                }

                // Handle CheckBox Click Event
                checkBox.Checked += (s, e) => grid[range.Row, range.Column] = true;
                checkBox.Unchecked += (s, e) => grid[range.Row, range.Column] = false;

                return checkBox;
            }

            return base.CreateCellContent(cellType, range, cellContentType);
        }
    }
}